.TH wxTextCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxTextCtrl \- See external documentation: wxTextCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxTextCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxTextCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxTextCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlwxtextctrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxTextCtrl()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxTextCtrl()
.br
.RS
.TP
Types
Option = {value, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlwxtextctrl>\&.
.RE
.LP
.B
appendText(This::wxTextCtrl(), Text::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlappendtext>\&.
.RE
.LP
.B
canCopy(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlcancopy>\&.
.RE
.LP
.B
canCut(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlcancut>\&.
.RE
.LP
.B
canPaste(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlcanpaste>\&.
.RE
.LP
.B
canRedo(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlcanredo>\&.
.RE
.LP
.B
canUndo(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlcanundo>\&.
.RE
.LP
.B
clear(This::wxTextCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlclear>\&.
.RE
.LP
.B
copy(This::wxTextCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlcopy>\&.
.RE
.LP
.B
create(This::wxTextCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxTextCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {value, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlcreate>\&.
.RE
.LP
.B
cut(This::wxTextCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlcut>\&.
.RE
.LP
.B
discardEdits(This::wxTextCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrldiscardedits>\&.
.RE
.LP
.B
emulateKeyPress(This::wxTextCtrl(), Event::wxKeyEvent() (see module wxKeyEvent)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlemulatekeypress>\&.
.RE
.LP
.B
getDefaultStyle(This::wxTextCtrl()) -> wxTextAttr() (see module wxTextAttr)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetdefaultstyle>\&.
.RE
.LP
.B
getInsertionPoint(This::wxTextCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetinsertionpoint>\&.
.RE
.LP
.B
getLastPosition(This::wxTextCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetlastposition>\&.
.RE
.LP
.B
getLineLength(This::wxTextCtrl(), LineNo::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetlinelength>\&.
.RE
.LP
.B
getLineText(This::wxTextCtrl(), LineNo::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetlinetext>\&.
.RE
.LP
.B
getNumberOfLines(This::wxTextCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetnumberoflines>\&.
.RE
.LP
.B
getRange(This::wxTextCtrl(), From::integer(), To::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetrange>\&.
.RE
.LP
.B
getSelection(This::wxTextCtrl()) -> {From::integer(), To::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetselection>\&.
.RE
.LP
.B
getStringSelection(This::wxTextCtrl()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetstringselection>\&.
.RE
.LP
.B
getStyle(This::wxTextCtrl(), Position::integer(), Style::wxTextAttr() (see module wxTextAttr)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetstyle>\&.
.RE
.LP
.B
getValue(This::wxTextCtrl()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlgetvalue>\&.
.RE
.LP
.B
isEditable(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrliseditable>\&.
.RE
.LP
.B
isModified(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlismodified>\&.
.RE
.LP
.B
isMultiLine(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlismultiline>\&.
.RE
.LP
.B
isSingleLine(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlissingleline>\&.
.RE
.LP
.B
loadFile(This::wxTextCtrl(), File::string()) -> bool()
.br
.RS
.LP
Equivalent to loadFile(This, File, [])\&.
.RE
.LP
.B
loadFile(This::wxTextCtrl(), File::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {fileType, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlloadfile>\&.
.RE
.LP
.B
markDirty(This::wxTextCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlmarkdirty>\&.
.RE
.LP
.B
paste(This::wxTextCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlpaste>\&.
.RE
.LP
.B
positionToXY(This::wxTextCtrl(), Pos::integer()) -> {bool(), X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlpositiontoxy>\&.
.RE
.LP
.B
redo(This::wxTextCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlredo>\&.
.RE
.LP
.B
remove(This::wxTextCtrl(), From::integer(), To::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlremove>\&.
.RE
.LP
.B
replace(This::wxTextCtrl(), From::integer(), To::integer(), Value::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlreplace>\&.
.RE
.LP
.B
saveFile(This::wxTextCtrl()) -> bool()
.br
.RS
.LP
Equivalent to saveFile(This, [])\&.
.RE
.LP
.B
saveFile(This::wxTextCtrl(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {file, string()} | {fileType, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlsavefile>\&.
.RE
.LP
.B
setDefaultStyle(This::wxTextCtrl(), Style::wxTextAttr() (see module wxTextAttr)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlsetdefaultstyle>\&.
.RE
.LP
.B
setEditable(This::wxTextCtrl(), Editable::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlseteditable>\&.
.RE
.LP
.B
setInsertionPoint(This::wxTextCtrl(), Pos::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlsetinsertionpoint>\&.
.RE
.LP
.B
setInsertionPointEnd(This::wxTextCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlsetinsertionpointend>\&.
.RE
.LP
.B
setMaxLength(This::wxTextCtrl(), Len::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlsetmaxlength>\&.
.RE
.LP
.B
setSelection(This::wxTextCtrl(), From::integer(), To::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlsetselection>\&.
.RE
.LP
.B
setStyle(This::wxTextCtrl(), Start::integer(), End::integer(), Style::wxTextAttr() (see module wxTextAttr)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlsetstyle>\&.
.RE
.LP
.B
setValue(This::wxTextCtrl(), Value::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlsetvalue>\&.
.RE
.LP
.B
showPosition(This::wxTextCtrl(), Pos::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlshowposition>\&.
.RE
.LP
.B
undo(This::wxTextCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlundo>\&.
.RE
.LP
.B
writeText(This::wxTextCtrl(), Text::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlwritetext>\&.
.RE
.LP
.B
xYToPosition(This::wxTextCtrl(), X::integer(), Y::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextctrl\&.html#wxtextctrlxytoposition>\&.
.RE
.LP
.B
destroy(This::wxTextCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
